// This program reads in a data file of news team information.  It displays the team, then
// sorts the news team info, and then allows us to create a new team with portions of the 
// original team.
// The user gets to type in the name of the file being used.

//  The data file must have the following format:
//  - The first line contains the name of the news team.
//  - The second line says how many people are on the news team.
//  - The remainder of the lines have the new team information.
//    For each team member, line 1 contains the name, line 2 contains the person's role
//    and line 3 contains the number of years of experience that person has.

// written by Scott McElfresh

import java.io.*;


public class Driver 
{      
      //**********
	public static void main(String args[])  throws IOException
    {	   
       	   // necessary lines for user input
	    InputStreamReader input = new InputStreamReader(System.in);
        BufferedReader console = new BufferedReader(input);
	 
	   System.out.print( "Please enter the name of the file, including path: ");
	   String filename = console.readLine();
	   
	   // now, connect to and open the file.
       FileReader textfile = new FileReader(filename);
	   BufferedReader newsfile = new BufferedReader(textfile);


       
      String stationName = newsfile.readLine();
      
      
      NewsTeam TEAM = new NewsTeam(stationName);
      
      String numPeopleString = newsfile.readLine();
      int numPeople = Integer.parseInt(numPeopleString);
      
     
      for (int count = 0; count < numPeople; count++)
      {
         String name;   // the info on each person
         String role;
         int years;
         
         name = newsfile.readLine();    
         role = newsfile.readLine();
         String yearsString = newsfile.readLine();
         years = Integer.parseInt(yearsString);
         
         NewsPerson thisPerson = new NewsPerson(name,role,years);// need to create a new object for this person
         TEAM.addMember(thisPerson);  
      }  
      

      newsfile.close();    // be a good citizen and close when we're done
      
    
      System.out.println("\n\nThere are "+ TEAM.totalYears() + " total years of experience on the news team \n"
           + "at " + TEAM.getStationName());
	  TEAM.display();

	  
	  /*
	  	  System.out.println("\n**************\n");
	     System.out.println("The least experienced person is: " + TEAM.getLeastExperienced());
	  */
	  /*
	  	  System.out.println("\n**************\n");
	     System.out.println("The first person alphabetically is: " + TEAM.getFirstAlpha());
	  */
		
	/* 
      System.out.print("how many years experience do you require on your elite team? ");
      String userinput = keyboard.readLine();
      int numyears = Integer.parseInt(userinput);
      
      newsTeam eliteteam = TEAM.getExperiencedPeople(numyears);
      eliteteam.display();
     */   
	
   }

}